<?php
/**
 * Register shortcode with VC Composer
 *
 * @since 1.0.0
 */
class WPBakeryShortCode_vcex_quickstart extends WPBakeryShortCode {
	protected function content( $atts, $content = null ) {
		ob_start();
		$template = locate_template( array( 'vcex_templates/vcex_quickstart.php' ) );
		$template = $template ? $template : dirname( __FILE__ ) . '/vcex_quickstart.php';
		if ( $template ) {
			include( $template );
		}
		return ob_get_clean();
	}
}

/**
 * Adds the shortcode to the Visual Composer
 *
 * @since 1.0.0
 */
function vcex_quickstart_shortcode_vc_map() {
	$s_yes = esc_html__( 'Yes', 'total' );
	$s_no  = esc_html__( 'No', 'total' );
	$menus_array = array();
	if ( is_admin() ) {
		$menus = get_terms( 'nav_menu', array( 'hide_empty' => true ) );
		if ( $menus && is_array( $menus ) ) {
			foreach ( $menus as $menu ) {
				$menus_array[$menu->name] = $menu->term_id;
			}
		}
	}
	return array(
		'name' => esc_html__( 'Quick Start', 'total' ),
		'base' => 'vcex_quickstart',
		'category' => wpex_get_theme_branding(),
		'icon' => 'vcex-quickstart vcex-icon fa fa-chevron-right',
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Custom Classes', 'total' ),
				'param_name' => 'classes',
			),
			array(
				'type' => 'dropdown',
				'admin_label' => true,
				'heading' => esc_html__( 'Menu', 'total' ),
				'param_name' => 'menu',
				'value' => $menus_array,
				'save_always' => true,
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Button Text', 'total' ),
				'param_name' => 'button_text',
				'value' => 'Get Started',
			),
		)
	);
}
vc_lean_map( 'vcex_quickstart', 'vcex_quickstart_shortcode_vc_map' );