<?php
/**
 * Visual Composer Quickstart module
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Not needed in admin ever
if ( is_admin() ) {
    return;
}

// Get and extract shortcode attributes
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

// Menu required
if ( ! $menu )  {
	return;
}

// Custom Class
if ( $classes ) {
	$classes = $this->getExtraClass( $classes );
}

// Enqueue script
wp_enqueue_script(
	'vcex-quickstart',
	plugins_url( 'assets/vcex-quickstart.js', __FILE__ ),
	array( 'jquery' ),
	'1.0.0',
	true
); ?>

<div class="vcex-quickstart clr<?php echo esc_attr( $classes ); ?>">
	<div class="vcex-quickstart-selector clr">
		<select class="vcex-quickstart-select">
			<?php
			// Get menu object
			if ( $menu = wp_get_nav_menu_object( $menu ) ) {

				// Get menu items
				$menu_items = wp_get_nav_menu_items( $menu->term_id );

				// Make sure we have menu items
				if ( $menu_items && is_array( $menu_items ) ) {

					foreach ( $menu_items as $menu_item ) :

						echo '<option value='. esc_url( $menu_item->url ) .'>'. esc_attr( $menu_item->title ) .'</option>';

					endforeach;
				}
			} ?>	
		</select>
	</div><!-- .vcex-quickstart-selector -->
	<?php if ( $button_text ) : ?>
		<div class="vcex-quickstart-button-wrap clr">
			<a href="#" title="<?php echo esc_html( $button_text ); ?>" class="vcex-quickstart-button theme-button"><?php echo esc_html( $button_text ); ?> <span class="fa fa-chevron-right"></span></a>
		</div><!-- .vcex-quickstart-button-wrap -->
	<?php endif; ?>
</div><!-- .vcex-quickstart -->